/*
 * SampaEnginePanel.java
 *
 * Created on 11 stycze 2005, 13:11
 */

package jsampa;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 *
 * @author michalus
 */
public class SampaEnginePanel extends JPanel {
    private ZarzadcaRegul zr;
    /** Creates a new instance of SampaEnginePanel */
    public SampaEnginePanel(ZarzadcaRegul zr) {
        this.zr = zr;
        
        JTextField[]
                t1 = new JTextField[zr.size()],
                t2 = new JTextField[zr.size()],
                t3 = new JTextField[zr.size()];
        
        this.setLayout(null);
        
        this.setSize(300, (zr.size()+1*25));
        
        JLabel
                l1 = new JLabel("Wzorzec"),
                l2 = new JLabel("Zamiennik"),
                l3 = new JLabel("Przesunicie");
        
        add(l1);
        add(l2);
        add(l3);
        
        l1.setBounds(0, 0, 100, 20);
        l2.setBounds(100, 0, 100, 20);
        l3.setBounds(200, 0, 100, 20);
        
        for(int i=0; i<zr.size(); i++) {
            Regula r = (Regula)zr.get(i);
            t1[i] = new JTextField(r.getWzorzec());
            //t2[i] = new JTextField(r.getZamiennik());
            t3[i] = new JTextField(""+r.getPrzesuniecie());
            
            add(t1[i]);
            add(t2[i]);
            add(t3[i]);
            
            t1[i].setBounds(0, (i+1)*20, 100, 20);
            t2[i].setBounds(100, (i+1)*20, 100, 20);
            t3[i].setBounds(200, (i+1)*20, 100, 20);
        }
    }    
}
