/*
 * MaskaIntonacji.java
 *
 * Created on 15 luty 2005, 13:02
 */

package jsampa;

/**
 * Maska intonacji dla wprowadzone zdania lub cigu zda.
 * @author michalus
 */
public class MaskaIntonacji {
        
    private int[] granicePrzedzialow;
    private int[] rodzajIntonacji;
    
    /** Creates a new instance of MaskaIntonacji */
    public MaskaIntonacji(int[] gp, int[] ri) {        
        granicePrzedzialow = gp;
        rodzajIntonacji = ri;
    }
    
    public int getIloscPrzedzialow() {
        return granicePrzedzialow.length;
    }
    
    public int getPoczatek(int n) {
        if(n==0) return 0;        
        return granicePrzedzialow[n-1];
    }
    
    public int getKoniec(int n) {
        return granicePrzedzialow[n];
    }
    
    public int getIntonacja(int n) {
        return rodzajIntonacji[n];
    }
    
}
